Subject: Re: popt 1.6.4-4: How to use popt in "-mno-cywin" app?
From: Alexey Lyubimov <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Mon, 11 Jul 2005 10:40:16 -0700 (PDT)

--- Igor Pechtchanski <[email-masked]> wrote:

Hello Igor!
Thanks for your answer.

> On Mon, 11 Jul 2005, Alexey Lyubimov wrote:
> 
> > Hello!
> >
> > My configuration is:
> >
> > Win98SE.
> >
> > $ cygcheck -c | grep -e "binutils" -e "cygwin" -e
> "popt"
> > binutils             20041229-1         OK
> > cygwin               1.5.16-1           OK
> > cygwin-doc           1.4-2              OK
> > libpopt0             1.6.4-4            OK
> > popt                 1.6.4-4            OK
> 
> Not enough.  Please review
> <http://cygwin.com/problems.html> carefully,
> especially the part in bold that tells you to attach
> the output of
> "cygcheck -svr" on your system.
> 

I know about the "cygcheck -svr" rule very well :) But
I did not think that it would be very important in
this specific case, since I did not ask about the
cygwin's _problem_ on my PC. I asked about the proper
_usage_ of useful tool (library) under CygWin!

> Why would you expect to be able to use a Cygwin
> library with a
> configuration that says "no cygwin"?  Most Cygwin
> libraries
> require the Cygwin DLL to work.
> ...
 
I used to build small win32/console ("no-cygwin")
utilities by gcc under CygWin from scratch.
And, actually, the question was: "Can I use Red Hat's
popt library while building win32 console application
under CygWin"?

Best regards,
Alexey Lyubimov

__________________________________________________
Do You Yahoo!?
Tired of spam?  Yahoo! Mail has the best spam protection around 
http://mail.yahoo.com 

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/